
Ryzom - Feature # 1458

Status: Resolved Priority: Normal
Author: Botanic Category: Client: General
Created: 04/09/2012 Assignee: sfb
Updated: 03/23/2014 Due date:
Subject: Patcher on Linux/OSX
Description

This is a patch to enable patching on linux/osx

Linux is fully tested, osx...not (but it should work...)

History
#1 - 04/09/2012 10:31 pm - sfb
- Category set to Client: General
- Assignee set to sfb
- Target version set to Version 0.9.0

I'll go through and apply these.

#2 - 04/10/2012 09:25 am - kervala

First, thanks for the patch :) I have some comments about it.

There is no conditional patcher and it'll be enabled for all builds so it won't work anymore with Ryzom Core shards (there is no patch system enabled
by default). Another problem with this patch is that if data are updated under Linux and Mac OS X, binaries won't be patched (because only Windows
client is updated via the patch) and so, client might crash (or bug) if it's not compatible with last data.

I suggest to either add a CMake flag to enable and disable patcher or make further tests in code to check if a patch server is working. Another fix could
be to define what data versions are compatible with what versions of client but it's too much work for little benefices.

I'm thinking about a variable set to last version for gamedev.bnp or the data of the last patch in default_client.cfg. If the current version of gamedev.bnp
or the date of last patch is lower than it, we can enable patch of data. So we'll able to update data only if binary and default config are patched by
packaging system.

#3 - 07/19/2012 02:06 am - Botanic
- File 2308.patch added

combined patch

#4 - 03/23/2014 08:46 pm - kervala
- Status changed from New to Resolved
- % Done changed from 0 to 100
Fixed in compatibility branch :p

Files
hg.zip 7 kB 04/09/2012 Botanic
2308.patch 5.7 kB 07/19/2012 Botanic
